org.codehaus.groovy.runtime.m12n

## Class ExtensionModuleScanner

- java.lang.Object
- - org.codehaus.groovy.runtime.m12n.ExtensionModuleScanner

    public class ExtensionModuleScanner
    extends java.lang.Object

A module extension scanner is responsible for searching classpath modules, loading metadata from module descriptors, then perform custom tasks for each module. This class was introduced as a fix for GROOVY-6008

Since:
  2.1.2
Author:
  Cedric Champeau

### Nested Class Summary

Nested Classes
`static interface` `ExtensionModuleScanner.ExtensionModuleListener`

### Field Summary

Fields
`static java.lang.String` `MODULE_META_INF_FILE`

### Constructor Summary

Constructors
Constructor and Description
`ExtensionModuleScanner(ExtensionModuleScanner.ExtensionModuleListener listener, java.lang.ClassLoader loader)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `scanClasspathModules()`
`void` `scanExtensionModuleFromProperties(java.util.Properties properties)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MODULE_META_INF_FILE

    public static final java.lang.String MODULE_META_INF_FILE

See Also:
  Constant Field Values

### Constructor Detail

#### ExtensionModuleScanner

    public ExtensionModuleScanner(ExtensionModuleScanner.ExtensionModuleListener listener,
                                  java.lang.ClassLoader loader)

### Method Detail

#### scanClasspathModules

    public void scanClasspathModules()

#### scanExtensionModuleFromProperties

    public void scanExtensionModuleFromProperties(java.util.Properties properties)